﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls;

namespace DataChartZoomBarSync
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        void asd_MouseDown(object sender, MouseButtonEventArgs e)
        {
            e.Handled = true;
        }
 

        private void zoombar1_KeyDown_1(object sender, KeyEventArgs e)
        {
            if (e.Key == Key.Right && xmZoombar.Range.Maximum <= xmZoombar.Maximum - 10)
            {
                xmZoombar.Range.Maximum = xmZoombar.Range.Maximum + 10;
                xmZoombar.Range.Minimum = xmZoombar.Range.Minimum + 10;
            }
            if (e.Key == Key.Left && xmZoombar.Range.Minimum >= xmZoombar.Minimum + 10)
            {
                xmZoombar.Range.Maximum = xmZoombar.Range.Maximum - 10;
                xmZoombar.Range.Minimum = xmZoombar.Range.Minimum - 10;
            }
        }

        public bool IsZoombarChanging;

        private void xmDataChart_WindowRectChanged(object sender, Infragistics.RectChangedEventArgs e)
        {
            if (IsZoombarChanging) return;
            try
            {
                IsZoombarChanging = true;
                Range newZoombarRange = new Range
                {
                    Minimum = e.NewRect.X,
                    Maximum = e.NewRect.X + e.NewRect.Width
                };
                if (this.xmZoombar != null)
                {
                    this.xmZoombar.Range = newZoombarRange;
                    this.xmZoombar.Range.Minimum = 0.95;
                }
            }
            finally
            {
                IsZoombarChanging = false;
            }
        }

        private void xmZoombar_ZoomChanging(object sender, ZoomChangeEventArgs e)
        {
            if (this.xmDataChart == null) return;
            if (IsZoombarChanging) return;
            try
            {
                IsZoombarChanging = true;
         
                Range zoombarRange = e.NewRange; 
                this.xmDataChart.WindowRect = new Rect
                {
                    Y = 0,
                    Height = 1,
                    X = zoombarRange.Minimum,
                    Width = (e.NewRange.Maximum - zoombarRange.Minimum)
                };
            }
            finally
            {
                IsZoombarChanging = false;
            }
            
        }

        

     
    }
}
